#include "indicadorboton.h"
#include "ui_indicadorboton.h"
#include <QPainter>

IndicadorBoton::IndicadorBoton(QWidget *parent)
    : QWidget(parent)
    , ui(new Ui::IndicadorBoton)
{
    ui->setupUi(this);

    QPixmap *pix = new QPixmap(43,22);
    QPainter *paint = new QPainter(pix);
    paint->setBrush(Qt::lightGray);
    paint->drawRect(0, 0, 42, 21);
    paint->setBrush(Qt::gray);
    paint->setPen(Qt::white);
    paint->drawRect(10,5,20,10);

    pixBotoNoPremut = new QPixmap(43,22);
    *pixBotoNoPremut = *pix;

    paint->setBrush(Qt::white);
    paint->drawRect(10,5,20,10);
    pixBotoPremut = new QPixmap(43,22);
    *pixBotoPremut = *pix;

    ui->btBoto->setText("");
    QIcon ButtonIcon(*pixBotoNoPremut);
    ui->btBoto->setIcon(ButtonIcon);
    ui->btBoto->setIconSize(pix->rect().size());
}

IndicadorBoton::~IndicadorBoton(){
    delete ui;
}

void IndicadorBoton::on_btBoto_pressed(){
    QIcon ButtonIcon(*pixBotoPremut);
    ui->btBoto->setIcon(ButtonIcon);
    ui->btBoto->setIconSize(pixBotoPremut->rect().size());

    emit vSenyalPremut();
}

void IndicadorBoton::on_btBoto_released(){
    QIcon ButtonIcon(*pixBotoNoPremut);
    ui->btBoto->setIcon(ButtonIcon);
    ui->btBoto->setIconSize(pixBotoNoPremut->rect().size());

    emit vSenyalNoPremut();
}

void IndicadorBoton::vSetNomBoto(QString qs){
    ui->etNomBoto->setText(qs);
}
